import { Component, OnInit } from '@angular/core';
import {AuthService} from "../core/auth.service";
import {Router} from "@angular/router";


@Component({
  selector: 'app-dashboard',
  templateUrl: './dashboard.component.html'
})
export class DashboardComponent implements OnInit {

  constructor(
    private authService:AuthService,
    private router:Router) {

  }
  currentUser:String = '';

  ngOnInit() {
    if(this.authService.isLoggedIn){
      this.currentUser = this.authService.user.email;
      //make call for showingstuff
    }
    else{
      this.router.navigate(['/login']);
    }
  }

  navigateToSites(){
    this.router.navigate(['/sites']);
  }
  navigateToDevices(){
    this.router.navigate(['/devices']);
  }

}
