import { Component, OnInit } from '@angular/core';
import {AuthService} from "../core/auth.service";
import {Router} from "@angular/router";
import {LoginService} from "./login.service";
import {LoginRequestVO} from "./models/LoginRequestVO";
import {LoginResponseVO} from "./models/LoginResponseVO";
import {UserInfo} from "../shared/models/user-info";

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html'
})
export class LoginComponent implements OnInit {

  private userName:String;
  private password:String;

  constructor(
    private authService:AuthService,
    private loginService:LoginService,
    private router:Router
  ) { }

  ngOnInit() {
  }

  login(){
    let loginRequestVO:LoginRequestVO = new LoginRequestVO(this.userName,this.password);
    this.loginService.login(loginRequestVO)
        .subscribe((receivedData: any) => {
          this.authService.user = receivedData.user as UserInfo;
          this.authService.isLoggedIn = true;
          this.router.navigate(['/dashboard']);


    })

  }

}
